DevHeads.net

selective sync from debian: haproxy case

Hi all,

haproxy is currently a sync in ubuntu, at version 2.0.10-1. The 2.0.x
line is upstream's stable LTS line, and I would like to stay there.

Debian experimental already has 2.1.0-2, which is also an upstream
stable line, but not an LTS.

I would prefer that we don't move to 2.1.0 for the next ubuntu LTS
version, so how would I go about preventing that from being synced
into Ubuntu should debian move 2.1.0 from experimental to unstable? I
would like to continue to receive updates from unstable as long as
it's tracking the 2.0.x upstream line.

Some options I heard about:
a) sync blacklist
(<a href="https://bazaar.launchpad.net/~ubuntu-archive/+junk/sync-blacklist/view/head:/sync-blacklist.txt" title="https://bazaar.launchpad.net/~ubuntu-archive/+junk/sync-blacklist/view/head:/sync-blacklist.txt">https://bazaar.launchpad.net/~ubuntu-archive/+junk/sync-blacklist/view/h...</a>)
b) add an ubuntu version to the package, even though it's identical to
the debian one

Any other options?